Bug 23137 - spd-conf crashes
Summary: spd-conf crashes
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, has_procedure, validated_update
Depends on:
Blocks:
 
Reported: 2018-06-07 22:20 CEST by papoteur
Modified: 2018-06-25 00:03 CEST (History)
4 users (show)

See Also:
Source RPM: speech-dispatcher-0.8.6
CVE:
Status comment:


Attachments

Description papoteur 2018-06-07 22:20:51 CEST
spd-conf 
Traceback (most recent call last):
  File "/bin/spd-conf", line 10, in <module>
    sys.exit(speechd_config.main())
  File "/usr/lib64/python3.5/site-packages/speechd_config/config.py", line 749, in main
    options.parse()
AttributeError: 'NoneType' object has no attribute 'parse'

Fedora solved it with 0.8.7 release.
Actual release is 0.8.8
Comment 1 David GEIGER 2018-06-08 07:48:11 CEST
Done updating to latest release!

- speech-dispatcher-0.8.8-1.mga6

CC: (none) => geiger.david68210

Comment 2 Marja Van Waes 2018-06-08 22:00:30 CEST
(In reply to David GEIGER from comment #1)
> Done updating to latest release!
> 
> - speech-dispatcher-0.8.8-1.mga6

@ papoteur

it's in updates_testing.

Can you confirm that it fixes the issue, so that david_david can assign this report to QA team?

CC: (none) => marja11
Assignee: bugsquad => geiger.david68210
Keywords: (none) => NEEDINFO

Comment 3 papoteur 2018-06-09 09:03:02 CEST
Hello,
Installed speech-dispatcher from updates-testing. Then:
spd-conf

Speech Dispatcher configuration tool

Do you want to setup a completely new configuration? [yes] :
>
Do you want to create/setup a 'user' or 'system' configuration [user] :
>
User configuration created in /home/yves/.config/speech-dispatcher
Configuring user settings for Speech Dispatcher
Default output module [espeak] :
>
Default language (two-letter iso language code like "en" or "cs") [en] :
>fr
Default audio output method [pulse] :
>
Default speech rate (on the scale of -100..100, 0 is default, 50 is faster, -50 is slower) [0] :
>
Default speech pitch (on the scale of -100..100, 0 is default, 50 is higher, -50 is lower) [0] :
>
Do you want to have Speech Dispatcher automatically started from ~/.config/autostart ?
This is usually not necessary, most applications will start Speech Dispatcher automatically. [no] :
>
Do you want to start/restart Speech Dispatcher now and run some tests? [yes] :
>
Starting Speech Dispatcher in user-mode
[Sat Jun  9 07:52:11 2018 : 915923] speechd: Speech Dispatcher 0.8.8 starting
Testing Speech Dispatcher using spd_say
Did you hear the message about Speech Dispatcher working? [yes] :
>
Speech Dispatcher is installed and working!
Speech Dispatcher works. Do you want to skip other tests? [yes] :
>no
Do you want to test the Espeak synthesizer now? [yes] :
>
Testing whether Espeak works
Espeak is installed
Do you want to test the Pulse Audio sound system now? [yes] :
>
Testing PULSE sound output
Did you hear the sound? [yes] :                                                                               
>                                                                                                             
Audio output 'pulse' works                                                                                    
Testing whether Python Speech Dispatcher library is in path and importable                                    
Python can't find the Speech Dispatcher library.                                                              
Is it installed? This won't prevent Speech Dispatcher to work, but no                                         
Python applications like Orca will be able to use it.                                                         
Search for package like python-speechd, download and install it                                               
                                                                                                              
                                                                                                              
Diagnostics results:                                                                                          
Speech Dispatcher is working
Synthesizers that were tested and seem to work: ['espeak']
Audio systems that were tested and seem to work: ['pulse']
Python Speech Dispatcher module not importable.
Either not installed or not in path.
End of diagnostics results
===============
All seems Ok, except:
Python Speech Dispatcher module not importable.
Either not installed or not in path.
I presume that python module is not needed by default. Package python3-speechd is not installed.
papoteur 2018-06-11 10:25:45 CEST

Assignee: geiger.david68210 => qa-bugs

Comment 4 David GEIGER 2018-06-11 11:08:02 CEST
Assigning to QA,


Advisory:
=============================

Some users reported that our current speech-dispatcher package crashes:

spd-conf 
Traceback (most recent call last):
  File "/bin/spd-conf", line 10, in <module>
    sys.exit(speechd_config.main())
  File "/usr/lib64/python3.5/site-packages/speechd_config/config.py", line 749, in main
    options.parse()
AttributeError: 'NoneType' object has no attribute 'parse'


This updates fixes this issue.


Packages in 6/core/updates_testing:
========================
speech-dispatcher-0.8.8-1.mga6.i586.rpm
speech-dispatcher-conf-0.8.8-1.mga6.i586.rpm
libspeechd-devel-0.8.8-1.mga6.i586.rpm
libspeechd2-0.8.8-1.mga6.i586.rpm
python3-speechd-0.8.8-1.mga6.i586.rpm
speech-dispatcher-0.8.8-1.mga6.x86_64.rpm
speech-dispatcher-conf-0.8.8-1.mga6.x86_64.rpm
lib64speechd-devel-0.8.8-1.mga6.x86_64.rpm
lib64speechd2-0.8.8-1.mga6.x86_64.rpm
python3-speechd-0.8.8-1.mga6.x86_64.rpm

Source RPM: 
========================
speech-dispatcher-conf-0.8.8-1.mga6.src.rpm
Comment 5 Len Lawrence 2018-06-11 13:03:42 CEST
Mageia 6, x86_64
Confirmed that spd-conf crashes with the aforesaid message.
Updated to:
- lib64speechd-devel-0.8.8-1.mga6.x86_64
- lib64speechd2-0.8.8-1.mga6.x86_64
- python3-speechd-0.8.8-1.mga6.x86_64
- speech-dispatcher-0.8.8-1.mga6.x86_64
- speech-dispatcher-conf-0.8.8-1.mga6.x86_64

Ran spd-conf according to papoteur's instructions, default settings throughout but could not hear any sound over a bluetooth connection.  Tried plugging in another speaker - AUX connection, but still no sound.

Moved to another system where sound is routed to a bluetooth dongle paired with an Altec-Lansing portable speaker.
$ espeak "Rhubarb rhubarb rhubarb!"
ALSA lib pcm_dsnoop.c:638:(snd_pcm_dsnoop_open) unable to open slave
ALSA lib pcm.c:2501:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2501:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2501:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
Cannot connect to server socket err = No such file or directory
Cannot connect to server request channel
jack server is not running or cannot be started

Under the Playback tab in pavucontrol there is a trace for the sound output for a couple of seconds, as expected, but no actual sound.

$ spd-say "Rhubarb rhubarb rhubarb!"
No sound again but three 'silent' threads are displayed in pavucontrol.

Sound works normally for a video played by vlc with either bluetooth or audio cable.
Don't know what you need to start a jack server.  No change in these results when an alternative speaker is plugged in.

However, the point of the update is to validate spd-conf and that can be done.  The tests ended with an attempt to diagnose the fault.
Speech Dispatcher is installed but there is some problem

Speech Dispatcher isn't running or we can't connect to it (see above),
do you want to proceed with other tests? (They can help to determine
what is wrong) [yes] :
>
Do you want to test the Espeak synthesizer now? [yes] :
>
Testing whether Espeak works
Espeak is installed
Do you want to test the Pulse Audio sound system now? [yes] :
>
Testing PULSE sound output
Did you hear the sound? [yes] :
>no
Please examine the above output from the sound playback
utility. If everything seems right, are you sure your audio is loud enough and
not muted in the mixer? Please fix your audio system first or choose a different
audio output method in configuration.
Testing whether Python Speech Dispatcher library is in path and importable


Diagnostics results:
Speech Dispatcher not working through spd-say
Synthesizers that were tested and seem to work: ['espeak']
Audio systems that were tested and seem to work: []
Python Speech Dispatcher module is importable
End of diagnostics results

So, giving this an OK, but noting that espeak/spd-conf seemss to have a problem with hardware.

CC: (none) => tarazed25
Whiteboard: (none) => MGA6-64-OK

Comment 6 claire robinson 2018-06-14 18:53:49 CEST
Could do with extra tests to confirm this one.
Comment 7 Len Lawrence 2018-06-17 09:34:21 CEST
This extra test worked fine.  Suspecting that  more time was needed to configure the sound output in pavucontrol I turned to scripting.

This ruby snippet allows a very long string to be passed to espeak.
--------------------------------------------
#!/bin/env ruby
longstring = "This is a very long string without linefeeds."*60
command = "espeak \'#{longstring}\'"
system command
--------------------------------------------
Running this allowed more than enough time to switch off Built-in Audio and enable the Bose bluetooth speaker for output.  That worked perfectly.  It also worked for spd-say.

Thanks Claire.  Validating this.

Keywords: NEEDINFO => validated_update
CC: (none) => sysadmin-bugs

Comment 8 papoteur 2018-06-17 09:47:56 CEST
Thanks Len.
Comment 9 Len Lawrence 2018-06-17 10:00:04 CEST
Also note that once the sound profile is established the utilities work normally, i.e. for shorter sentences, but on this system there is a delay which clips the first word.
$ spd-say "Testing, testing.  Rhubarb rhubarb rhubarb"
generates "testing.  Rhubarb rhubarb rhubarb"
Comment 10 Len Lawrence 2018-06-17 10:32:18 CEST
The answer to that is to preface the text with a newline.
$ spd-say "
> Hallo, hallo.  Can ye hear me muther?"
That renders in full.
Comment 11 claire robinson 2018-06-19 21:47:40 CEST
Advisoried.

Keywords: (none) => advisory, has_procedure

Comment 12 Mageia Robot 2018-06-25 00:03:28 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0122.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.